#encoding: UTF-8 
=begin
/***************************************************************************
 *   ©2019-2019 Michael Uplawski <michael.uplawski@uplawski.eu>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
=end

require 'nokogiri'
require_relative 'logging'
require_relative 'sheet'
require_relative 'translating'

# An object of this class represents the workbook, i.e. workbook.xml and all
# that it ... well... represents. A bunch of sheets and the like.
class Workbook
  include Translating
  extend Logging
  @@log = init_logger(STDOUT)

  def initialize(xml)
    @log = @@log
    # parse xml
    @log.debug('initialize, argument xml is ' << xml.to_s)
    @document = Nokogiri::XML::parse(xml)
    @sheets = @document.css('sheet')
    @log.debug('@document is ' << @document.to_s)
  end


  attr_reader :document
end


# -- test
if __FILE__ == $0
  wb = Workbook.new(File.new("../test/expanded/xl/workbook.xml"))
end

