require_relative "lib/version"
require 'date'

Gem::Specification.new do |s|
  s.version     = VERSION
  s.name        = File.basename(__FILE__, '.gemspec')
  s.date        = Date.today.strftime('%F')
  s.summary     = SUMMARY
  s.description = "Manipulates spreadsheet files in Microsoft® OOXML format"
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	= %w~bin lib doc~.collect{|d| Dir::children(d).collect{|f| File::join(d, f) } }.flatten
  s.homepage    = 'http://uplawski.eu'
  s.requirements = 'nokogiri rubyzip ruby-filemagic'
  s.add_runtime_dependency 'rubyzip', '~> 2.0', '>= 2.0.0'
  s.add_runtime_dependency 'nokogiri', '~> 1.10', '>= 1.10.1'
  s.add_runtime_dependency 'ruby-filemagic', '~> 0.7', '>= 0.7.2'
  s.executables = 'delete_line_bv', 'delete_line_be'
  s.license     = 'GPL-3.0'
  s.required_ruby_version = '>= 2.5'
end
